Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# IORTable::Table Interface Reference

Any TAO server can be configured as an corbaloc agent. More...

`#include <IORTableC.h>`

Inheritance diagram for IORTable::Table:

[legend]
Collaboration diagram for IORTable::Table:

[legend]
List of all members.

## Public Types
typedef Table_ptr | _ptr_type
typedef Table_var | _var_type
## Public Methods
void | bind (in string object_key, in string IOR) raises (AlreadyBound)
| Bind <object_key> to the <IOR>. More...
void | rebind (in string object_key, in string IOR)
| Bind <object_key> to the <IOR>. More...
void | unbind (in string object_key) raises (NotFound)
| Remove the binding for <object_key>. More...
void | set_locator (in Locator the_locator)
| Set the locator, if no binding is set for an object_key we try to use the locator to resolve it. More...
virtual void | bind (const char *object_key, const char *IOR ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , IORTable::AlreadyBound )
virtual void | rebind (const char *object_key, const char *IOR ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | unbind (const char *object_key ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , IORTable::NotFound )
virtual void | set_locator (IORTable::Locator_ptr the_locator ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void * | _tao_QueryInterface (ptr_arith_t type)
virtual const char * | _interface_repository_id (void) const
## Static Public Methods
Table_ptr | _duplicate (Table_ptr obj)
Table_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
Table_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
Table_ptr | _nil (void)
## Static Public Attributes
int | _tao_class_id = 0
## Protected Methods
| Table (void)
virtual | ~Table (void)
## Private Methods
| Table (const Table &)
void | operator= (const Table &)

## Detailed Description

Any TAO server can be configured as an corbaloc agent.

Such agents forward requests generated using a simple ObjectKey in a corbaloc specifcation to the real location of the object. In TAO we implement this feature by dynamically (or statically) adding a new Object Adapter to the ORB, that handles any sort of request.

## Member Typedef Documentation

typedef Table_ptr IORTable::Table::_ptr_type

| Reimplemented from CORBA_Object.

typedef Table_var IORTable::Table::_var_type

| Reimplemented from CORBA_Object.

## Constructor & Destructor Documentation

IORTable::Table::Table | ( | void |  | ) | `[protected]`

virtual IORTable::Table::~Table | ( | void |  | ) | `[protected, virtual]`

IORTable::Table::Table | ( | const Table & |  | ) | `[private]`

## Member Function Documentation

Table_ptr IORTable::Table::_duplicate | ( | Table_ptr | obj | ) | `[static]`

virtual const char* IORTable::Table::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA_Object.

Table_ptr IORTable::Table::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

Table_ptr IORTable::Table::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA_Object.

virtual void* IORTable::Table::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Reimplemented from CORBA_Object.

Table_ptr IORTable::Table::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

virtual void IORTable::Table::bind | ( | const char * | object_key,
|  | const char *IOR | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , IORTable::AlreadyBound )`[pure virtual]`

| Reimplemented in TAO_IOR_Table_Impl.

void IORTable::Table::bind | ( | in string | object_key,
|  | in string | IOR
| ) | raises (AlreadyBound)

| Bind <object_key> to the <IOR>.

void IORTable::Table::operator= | ( | const Table & |  | ) | `[private]`

virtual void IORTable::Table::rebind | ( | const char * | object_key,
|  | const char *IOR | ACE_ENV_ARG_DECL_NOT_USED
| ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_IOR_Table_Impl.

void IORTable::Table::rebind | ( | in string | object_key,
|  | in string | IOR
| ) |

| Bind <object_key> to the <IOR>.

virtual void IORTable::Table::set_locator | ( | IORTable::Locator_ptr the_locator | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_IOR_Table_Impl.

void IORTable::Table::set_locator | ( | in Locator | the_locator | ) |

| Set the locator, if no binding is set for an object_key we try to use the locator to resolve it.

virtual void IORTable::Table::unbind | ( | const char *object_key | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException , IORTable::NotFound )`[pure virtual]`

| Reimplemented in TAO_IOR_Table_Impl.

void IORTable::Table::unbind | ( | in string | object_key | ) | raises (NotFound)

| Remove the binding for <object_key>.

## Member Data Documentation

int IORTable::Table::_tao_class_id = 0`[static]`

| Reimplemented from CORBA_Object.

The documentation for this interface was generated from the following files:

- IORTable.pidl
- IORTableC.h
- IORTableC.cpp